Subject: Re: [ofa-general] Re: [PATCH 2/3][NET_BATCH] net core use batching

From: Bill Fink <[email-masked]>
Date: Wed, 10 Oct 2007 12:02:15 -0400

On Tue, 09 Oct 2007, David Miller wrote:

> From: jamal <[email-masked]>
> Date: Tue, 09 Oct 2007 17:56:46 -0400
> 
> > if the h/ware queues are full because of link pressure etc, you drop. We
> > drop today when the s/ware queues are full. The driver txmit lock takes
> > place of the qdisc queue lock etc. I am assuming there is still need for
> > that locking. The filter/classification scheme still works as is and
> > select classes which map to rings. tc still works as is etc.
> 
> I understand your suggestion.
> 
> We have to keep in mind, however, that the sw queue right now is 1000
> packets.  I heavily discourage any driver author to try and use any
> single TX queue of that size.  Which means that just dropping on back
> pressure might not work so well.
> 
> Or it might be perfect and signal TCP to backoff, who knows! :-)

I can't remember the details anymore, but for 10-GigE, I have encountered
cases where I was able to significantly increase TCP performance by
increasing the txqueuelen to 10000, which is the setting I now use for
any 10-GigE testing.

						-Bill